Bug 469618 - Pulseaudio crashes when forced to use dmix
Pulseaudio crashes when forced to use dmix
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 01:54 EST by The Source
Modified: 2008-12-18 10:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-18 10:42:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
default.pa (3.80 KB, application/octet-stream)
2008-11-03 01:54 EST, The Source
no flags Details

  None (edit)
Description The Source 2008-11-03 01:54:53 EST
Created attachment 322266 [details]
default.pa

Description of problem:
snd-sbxfi driver currently supports only one app at a time, so must use something else for mixing multiple threads. Pulseaudio isn't the best way since it creates huge sound lag in many games like doom3. So I use dmix. But I also want pulseaudio work with dmix (and not with hw:0.0 like it does). But when I comment all strings about autodetection in default.pa and load module-alsa-sink directly with device=default (which is dmix), pulseaudio crashes frequently (almost always after 2 seconds of playing entry sound or immediately).

Version-Release number of selected component (if applicable):
pulseaudio-0.9.10-2.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Lennart Poettering 2008-11-03 11:58:53 EST
Please provide a backtrace.

(Also PA does not use hw:0. It uses device strings like "front:0" which have a defined channel mapping)
Comment 2 The Source 2008-11-03 12:33:52 EST
Can you please explain the steps I should take to provide backtrace? Is that some kind of log?
Comment 3 Lennart Poettering 2008-11-04 12:24:27 EST
http://fedoraproject.org/wiki/StackTraces
Comment 4 Lennart Poettering 2008-12-18 10:42:34 EST
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.